From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: kde-plasma/plasma-welcome/
Date: Tue, 1 Aug 2023 10:58:17 +0000 (UTC) [thread overview]
Message-ID: <1690887455.d35a2e1c169ff814ac131d8ebab53fbe5e869429.asturm@gentoo> (raw)
commit: d35a2e1c169ff814ac131d8ebab53fbe5e869429
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 1 10:07:50 2023 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Aug 1 10:57:35 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d35a2e1c
kde-plasma/plasma-welcome: 5.27.7 version bump
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
kde-plasma/plasma-welcome/Manifest | 1 +
.../plasma-welcome/plasma-welcome-5.27.7.ebuild | 60 ++++++++++++++++++++++
2 files changed, 61 insertions(+)
diff --git a/kde-plasma/plasma-welcome/Manifest b/kde-plasma/plasma-welcome/Manifest
index 29a6c0d85282..8907d59a77d1 100644
--- a/kde-plasma/plasma-welcome/Manifest
+++ b/kde-plasma/plasma-welcome/Manifest
@@ -1 +1,2 @@
DIST plasma-welcome-5.27.6.tar.xz 826932 BLAKE2B b331fa1caf4e2adf1a21cca112345706c45166615b3f92d32ee0ea8122a18ebd65b78e15a3c7bc2e18ff1488c73dd0b38b7d55396286be49656b51ed24d6589f SHA512 9d7192bf41ab29b98c5b2d1d3e60ee6739fe395ecd51a08ccdd47a73c4d2455d4c121a98ae742cbdb40fde452ac134dd98f7cacf16ec5c63fc822bfacf8b5f33
+DIST plasma-welcome-5.27.7.tar.xz 832492 BLAKE2B ce049615a71c2503ec38751bf020691d362a6ac890ce8de54c62b4e811ce30947cd2335d08faa1341b1e53e7474b049e465107cc83d0ce7069af47f0b61bb2a0 SHA512 a6f25593c85f35f274db6772b803a4a6aa73d6035837bf50d7e7ccaf4152288a5d44753567ff97e96ea36f53b36cb26623ef1c1500219d109e72e4c3f6e461ce
diff --git a/kde-plasma/plasma-welcome/plasma-welcome-5.27.7.ebuild b/kde-plasma/plasma-welcome/plasma-welcome-5.27.7.ebuild
new file mode 100644
index 000000000000..e61d70604e59
--- /dev/null
+++ b/kde-plasma/plasma-welcome/plasma-welcome-5.27.7.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+KFMIN=5.106.0
+QTMIN=5.15.9
+inherit ecm plasma.kde.org
+
+DESCRIPTION="A friendly onboarding wizard for Plasma"
+
+LICENSE="GPL-2+"
+SLOT="5"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="discover +kaccounts telemetry"
+
+DEPEND="
+ >=dev-qt/qtdeclarative-${QTMIN}:5[widgets]
+ >=dev-qt/qtgui-${QTMIN}:5
+ >=dev-qt/qtnetwork-${QTMIN}:5
+ >=dev-qt/qtquickcontrols2-${QTMIN}:5
+ >=dev-qt/qtsvg-${QTMIN}:5
+ >=dev-qt/qtwidgets-${QTMIN}:5
+ >=kde-frameworks/kconfig-${KFMIN}:5
+ >=kde-frameworks/kconfigwidgets-${KFMIN}:5
+ >=kde-frameworks/kcoreaddons-${KFMIN}:5
+ >=kde-frameworks/kdbusaddons-${KFMIN}:5
+ >=kde-frameworks/ki18n-${KFMIN}:5
+ >=kde-frameworks/kio-${KFMIN}:5
+ >=kde-frameworks/kirigami-${KFMIN}:5
+ >=kde-frameworks/knewstuff-${KFMIN}:5
+ >=kde-frameworks/knotifications-${KFMIN}:5
+ >=kde-frameworks/kservice-${KFMIN}:5
+ >=kde-frameworks/kwindowsystem-${KFMIN}:5
+ >=kde-frameworks/plasma-${KFMIN}:5
+ kaccounts? ( kde-apps/kaccounts-integration:5 )
+ telemetry? ( dev-libs/kuserfeedback:5 )
+"
+RDEPEND="${DEPEND}
+ discover? ( kde-plasma/discover:5 )
+"
+
+PATCHES=( "${FILESDIR}/${PN}-5.27.4.1-kaccounts-optional.patch" )
+
+src_prepare() {
+ ecm_src_prepare
+
+ if ! use discover; then
+ sed -e "s:pageStack.push(discover);:// & disabled by IUSE=discover:" \
+ -i src/contents/ui/main.qml || die
+ fi
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake_use_find_package kaccounts KAccounts)
+ $(cmake_use_find_package telemetry KUserFeedback)
+ )
+ ecm_src_configure
+}
next reply other threads:[~2023-08-01 10:58 UTC|newest]
Thread overview: 86+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-08-01 10:58 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-02 16:34 [gentoo-commits] repo/gentoo:master commit in: kde-plasma/plasma-welcome/ Andreas Sturmlechner
2025-04-02 6:03 Sam James
2025-03-11 20:52 Andreas Sturmlechner
2025-02-25 17:37 Andreas Sturmlechner
2025-02-18 21:42 Andreas Sturmlechner
2025-02-18 18:44 Andreas Sturmlechner
2025-02-11 17:59 Andreas Sturmlechner
2025-01-26 11:19 Arthur Zamarin
2025-01-10 9:54 WANG Xuerui
2025-01-01 21:05 Andreas Sturmlechner
2024-12-10 23:46 Andreas Sturmlechner
2024-12-04 17:43 Sam James
2024-12-03 19:21 Andreas Sturmlechner
2024-11-26 18:25 Andreas Sturmlechner
2024-11-05 19:16 Andreas Sturmlechner
2024-10-22 15:45 Andreas Sturmlechner
2024-10-15 18:03 Andreas Sturmlechner
2024-10-08 15:36 Andreas Sturmlechner
2024-10-07 18:02 Andreas Sturmlechner
2024-09-21 7:13 Arthur Zamarin
2024-09-21 7:12 Arthur Zamarin
2024-09-10 16:36 Andreas Sturmlechner
2024-08-06 14:26 Andreas Sturmlechner
2024-07-26 11:17 Arthur Zamarin
2024-07-16 16:32 Andreas Sturmlechner
2024-07-12 15:24 Arthur Zamarin
2024-07-02 17:57 Andreas Sturmlechner
2024-07-02 12:07 Jakov Smolić
2024-06-27 17:18 Andreas Sturmlechner
2024-06-27 10:04 Sam James
2024-06-27 9:43 Arthur Zamarin
2024-06-25 22:33 Sam James
2024-06-18 14:52 Andreas Sturmlechner
2024-05-27 22:23 Andreas Sturmlechner
2024-05-21 19:05 Andreas Sturmlechner
2024-04-16 19:54 Andreas Sturmlechner
2024-03-26 19:56 Andreas Sturmlechner
2024-03-12 16:32 Andreas Sturmlechner
2024-03-11 20:57 Arthur Zamarin
2024-03-11 13:17 Arthur Zamarin
2024-03-06 19:34 Andreas Sturmlechner
2024-03-06 15:47 Andreas Sturmlechner
2024-02-17 5:25 Sam James
2024-01-21 21:37 Andreas Sturmlechner
2024-01-10 23:24 Andreas Sturmlechner
2023-12-23 18:30 Andreas Sturmlechner
2023-12-20 8:45 Arthur Zamarin
2023-12-07 9:06 Andreas Sturmlechner
2023-11-23 16:51 Sam James
2023-11-23 16:38 Sam James
2023-11-23 15:16 Sam James
2023-10-24 22:37 Sam James
2023-09-26 18:14 Arthur Zamarin
2023-09-26 15:35 Arthur Zamarin
2023-09-26 15:28 Arthur Zamarin
2023-09-13 17:44 Andreas Sturmlechner
2023-08-16 16:31 Andreas Sturmlechner
2023-08-16 13:33 Arthur Zamarin
2023-08-16 13:23 Arthur Zamarin
2023-07-23 21:54 Sam James
2023-07-15 10:31 Arthur Zamarin
2023-06-30 17:03 Andreas Sturmlechner
2023-06-20 22:24 Andreas Sturmlechner
2023-05-22 12:55 Andreas Sturmlechner
2023-05-22 8:27 Arthur Zamarin
2023-05-21 19:51 Sam James
2023-05-21 6:10 Arthur Zamarin
2023-05-09 15:01 Andreas Sturmlechner
2023-04-22 15:10 Arthur Zamarin
2023-04-22 15:04 Arthur Zamarin
2023-04-22 14:57 Arthur Zamarin
2023-04-19 19:55 Andreas Sturmlechner
2023-04-10 18:35 Andreas Sturmlechner
2023-04-04 19:07 Andreas Sturmlechner
2023-03-14 20:14 Andreas Sturmlechner
2023-02-28 15:44 Andreas Sturmlechner
2023-02-22 10:23 Andreas Sturmlechner
2023-02-14 11:27 Andreas Sturmlechner
2023-01-30 11:00 WANG Xuerui
2023-01-26 1:46 Sam James
2023-01-26 1:46 Sam James
2023-01-25 5:56 Jakov Smolić
2023-01-21 16:10 Arthur Zamarin
2023-01-21 6:58 Arthur Zamarin
2023-01-20 13:11 Andreas Sturmlechner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1690887455.d35a2e1c169ff814ac131d8ebab53fbe5e869429.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox